--- title: "Delete a Sub Interface" slug: "delete-a-sub-interface" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:58Z published: 2026-09-23T09:38:58Z canonical: "docs.trellix.com/delete-a-sub-interface" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete a Sub Interface This URL deletes a sub interface. Only Sub Interface can be deleted, if an interface_id is mentioned, the operation throws an error. ## Resource URL DELETE /sensor//interface/ ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | sensor_id | Sensor Id | Number | Yes | | subinterface_id | Unique sub Interface ID | Number | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | Status | Status returned by deletion | Number | ## Example **Request** DELETE [https://%3CNSM_IP%3E/sdkapi/sensor/1001/interface/124](https://%3CNSM_IP%3E/sdkapi/sensor/1001/interface/124) **Response** ``` { "status":1 } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 404 | 1107 | Invalid interface or sub-interface id |